Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.plugins.provider
Class SamlCookiePlugin

    java.lang.Object
      edu.internet2.middleware.shibboleth.wayf.plugins.provider.SamlCookiePlugin

All Implemented Interfaces:
  Plugin

    public class SamlCookiePlugin

extends Object
implements Plugin

This is a test implementation of the saml cookie lookup stuff to see whether it fits the plugin architecture.

Nested Class Summary
`class` | `SamlCookiePlugin.SamlIdPCookie` Class to abstract away the saml cookie for us.

Constructor Summary
`SamlCookiePlugin(Element element)` This constructor is called during wayf initialization with it's own little bit of XML config.

Method Summary
`PluginContext` | `lookup(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, PluginMetadataParameter parameter, Map<String,IdPSite> validIdps, PluginContext context, List<IdPSite> idpList)` This is the 'hook' in the lookup part of Discovery Service processing.
`PluginMetadataParameter` | `refreshMetadata(org.opensaml.saml2.metadata.provider.MetadataProvider metadata)` Plugin point which is called when the data is refreshed.
`PluginContext` | `search(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, PluginMetadataParameter parameter, String pattern, Map<String,IdPSite> validIdps, PluginContext context, Collection<IdPSite> searchResult, List<IdPSite> idpList)` Plgin point for searching.
`void` | `selected(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res, PluginMetadataParameter parameter, String idP)` Plugin point for selection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SamlCookiePlugin

    public SamlCookiePlugin(Element element)

  This constructor is called during wayf initialization with it's own little bit of XML config.

  Parameters:
    `element` - - further information to be gleaned from the DOM.

Method Detail

### lookup

    public PluginContext lookup(javax.servlet.http.HttpServletRequest req,
                                javax.servlet.http.HttpServletResponse res,
                                PluginMetadataParameter parameter,
                                Map<String,IdPSite> validIdps,
                                PluginContext context,
                                List<IdPSite> idpList)
                         throws WayfRequestHandled

  This is the 'hook' in the lookup part of Discovery Service processing.

  Specified by:
    `lookup` in interface `Plugin`
  Parameters:
    `req` - - Describes the current request. Used to find any appropriate cookies
    `res` - - Describes the current response. Used to redirect the request.
    `parameter` - - Describes the metadata.
    `context` - - Any processing context returned from a previous call. We set this on first call and use non null to indicate that we don't go there again.
    `validIdps` - The list of IdPs which is currently views as possibly matches for the pattern. The Key is the EntityId for the IdP and the value the object which describes the Idp
    `idpList` - The set of Idps which are currently considered as potential hints.
  Returns:
    a context to hand to subsequent calls
  Throws:
    `WayfRequestHandled` - if the plugin has handled the request. issues a redirect)
  See Also:
    `Plugin.lookup(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, edu.internet2.middleware.shibboleth.wayf.plugins.PluginMetadataParameter, java.util.Map, edu.internet2.middleware.shibboleth.wayf.plugins.PluginContext, java.util.List)`

### refreshMetadata

    public PluginMetadataParameter refreshMetadata(org.opensaml.saml2.metadata.provider.MetadataProvider metadata)

  Plugin point which is called when the data is refreshed.

  Specified by:
    `refreshMetadata` in interface `Plugin`
  Parameters:
    `metadata` - - where to get the data from.
  Returns:
    the value which will be provided as input to subsequent calls
  See Also:
    `Plugin.refreshMetadata(org.opensaml.saml2.metadata.provider.MetadataProvider)`

### search

    public PluginContext search(javax.servlet.http.HttpServletRequest req,
                                javax.servlet.http.HttpServletResponse res,
                                PluginMetadataParameter parameter,
                                String pattern,
                                Map<String,IdPSite> validIdps,
                                PluginContext context,
                                Collection<IdPSite> searchResult,
                                List<IdPSite> idpList)
                         throws WayfRequestHandled

  Plgin point for searching.

  Specified by:
    `search` in interface `Plugin`
  Parameters:
    `req` - Describes the current request.
    `res` - Describes the current response.
    `parameter` - Describes the metadata.
    `pattern` - What we are searchign for.
    `validIdps` - The list of IdPs which is currently views as possibly matches for the pattern. The Key is the EntityId for the IdP and the value the object which describes the Idp
    `context` - Any processing context returned from a previous call. We set this on first call and use non null to indicate that we don't go there again.
    `searchResult` - What the search yielded.
    `idpList` - The set of Idps which are currently considered as potential hints.
  Returns:
    a context to hand to subsequent calls.
  Throws:
    `WayfRequestHandled`
    `WayfRequestHandled` - if the plugin has handled the request.
  See Also:
    `Plugin.search(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, edu.internet2.middleware.shibboleth.wayf.plugins.PluginMetadataParameter, java.lang.String, java.util.Map, edu.internet2.middleware.shibboleth.wayf.plugins.PluginContext, java.util.Collection, java.util.List)`

### selected

    public void selected(javax.servlet.http.HttpServletRequest req,
                         javax.servlet.http.HttpServletResponse res,
                         PluginMetadataParameter parameter,
                         String idP)

  Plugin point for selection.

  Specified by:
    `selected` in interface `Plugin`
  Parameters:
    `req` - Describes the current request.
    `res` - Describes the current response.
    `parameter` - Describes the metadata.
    `idP` - Describes the idp.
  See Also:
    `edu.internet2.middleware.shibboleth.wayf.plugins.Plugin#selected(javax.servlet.http.HttpServletRequest. javax.servlet.http.HttpServletResponse, edu.internet2.middleware.shibboleth.wayf.plugins.PluginMetadataParameter, java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2009 Internet2. All Rights Reserved.